Bug Hunting Session
Bug 55493 - [RTF] FILEOPEN: Images are not scaled in table/cells
Summary: [RTF] FILEOPEN: Images are not scaled in table/cells
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.0.0.beta2
Hardware: x86 (IA32) All
: highest blocker
Assignee: Miklos Vajna
URL:
Whiteboard: target:3.7.0 target:3.6.4
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-01 11:56 UTC by Valek Filippov
Modified: 2013-01-07 14:00 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
RTF with the problem (107.93 KB, text/rtf)
2012-10-01 11:56 UTC, Valek Filippov
Details
Mid of the 1st page screenshot of this RTF file opened in MSO (119.69 KB, image/png)
2012-10-01 11:58 UTC, Valek Filippov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Valek Filippov 2012-10-01 11:56:27 UTC
Created attachment 67922 [details]
RTF with the problem

Images in attached RTF seem to be not scaled (one can "fix" it by right click->Picture->Original size); erroneous line ends added after them (?).
3.6.0 and 3.5.x behave slightly differently (but wrong too), a user claims that 3.3 opens this file w/o issue.
Comment 1 Valek Filippov 2012-10-01 11:58:21 UTC
Created attachment 67923 [details]
Mid of the 1st page screenshot of this RTF file opened in MSO
Comment 2 Miklos Vajna 2012-10-11 12:42:07 UTC
Confirmed. It seems this is produced by Oracle BI Publisher, if I re-save it with Word, it's opened correctly in Writer as well.
Comment 3 Miklos Vajna 2012-10-11 19:24:41 UTC
OK, I know where the problem is.
Comment 4 Not Assigned 2012-10-11 19:28:30 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5ef0f1dc9a70c20fe6879832b782a0c34724353f

fdo#55493 fix RTF import of specific PNG image



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Miklos Vajna 2012-10-11 19:30:54 UTC
Resolved in master, -3-6 review request: https://gerrit.libreoffice.org/860
Comment 6 Not Assigned 2012-10-19 09:22:26 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9a2f97b9539f8101745467758fe03d5e76c0346f&g=libreoffice-3-6

fdo#55493 fix RTF import of specific PNG image


It will be available in LibreOffice 3.6.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 ape 2012-12-22 06:38:01 UTC
Regression. Writer_LibO-dev_4.0.0.beta2\beta1+ does not show pictures that are in the table cells.
Comment 8 ape 2012-12-23 13:09:34 UTC
Bag is absent in LibO-dev_4.0.0.0.beta2+ (ID: 835cae7e323b9831d11f5f4957933728f561e71; date: 22\12\12)